Remove Logger Models

Removes specified logger models. Administrator privileges are required to call this API.

Required Permissions

Requires the ADMIN role or higher.

HTTP Request

DELETE /api/sonar/logger-models
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
     -d guids="54157629-74f7-4d80-be5a-8cb8f0c71087" \
     -X DELETE https://HOSTNAME/api/sonar/logger-models
Request Parameters
KeyRequiredTypeDescriptionNote
guidsYesList of stringsLogger model GUID listComma-separated GUID list

Success Response

{
  "failures": []
}

Error Responses

Deletion failed because a logger references the resource

HTTP status code 200

{
  "failures": [
    {
      "id": "cd09ae6f-fbc3-11ed-9320-02d178f999a6",
      "name": "WTMP",
      "reason": "referenced-by-loggers"
    }
  ]
}
guids is missing

HTTP status code 400

{
  "error_code": "null-argument",
  "error_msg": "guids should be not null"
}
guids contains a value that is not in valid GUID format

HTTP status code 400

{
  "error_code": "invalid-param-type",
  "error_msg": "guids should be guid type."
}
Permission denied

HTTP status code 500

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}